Create or update AI deployment snapshot
PATCH
/v1/ai/agents/{agentID}/deployAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
agentIDstringrequiredRequest body
requiredapplication/jsonenvironmentstringnotesstringplaybook_version_idstringstatusstringResponses
200OK
agent_idstringrequiredappliedbooleanrequiredconfigobjectrequireddeployed_atstringrequireddeployed_bystringenvironmentstringrequiredidstringrequiredmodelstringrequirednotesstringplaybook_version_idstringproviderstringrequiredreviewIssueReviewItemViewShow propertiesHide properties
agent_idstringrequiredassigned_tostringcreated_atstringrequireddetailsobjectrequiredidstringrequiredissue_typestringrequiredrawSeveritystringrequiredresolved_atstringseveritystringrequiredsource_refstringstatusstringrequiredsummarystringrequiredtitlestringrequiredupdatedAtstringrequiredupdated_atstringrequiredreview_requiredbooleanrequiredstatusstringrequiredupdated_atstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PATCH "/v1/ai/agents/string/deploy" \
-H "Content-Type: application/json" \
-d '{
"environment": "string",
"notes": "string",
"playbook_version_id": "string",
"status": "string"
}'const response = await fetch("/v1/ai/agents/string/deploy", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"environment": "string",
"notes": "string",
"playbook_version_id": "string",
"status": "string"
})
});import requests
response = requests.patch(
"/v1/ai/agents/string/deploy",
headers={
"Content-Type": "application/json"
},
json={
"environment": "string",
"notes": "string",
"playbook_version_id": "string",
"status": "string"
},
)Response
{
"agent_id": "string",
"applied": true,
"config": {},
"deployed_at": "string",
"deployed_by": "string",
"environment": "string",
"id": "string",
"model": "string",
"notes": "string",
"playbook_version_id": "string",
"provider": "string",
"review": {
"agent_id": "string",
"assigned_to": "string",
"created_at": "string",
"details": {},
"id": "string",
"issue_type": "string",
"rawSeverity": "string",
"resolved_at": "string",
"severity": "string",
"source_ref": "string",
"status": "string",
"summary": "string",
"title": "string",
"updatedAt": "string",
"updated_at": "string"
},
"review_required": true,
"status": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}